Debian Bug report logs - #693318
Add Multi-Arch metadata to less

version graph

Package: less; Maintainer for less is Anibal Monsalve Salazar <anibal@debian.org>; Source for less is src:less.

Reported by: Wookey <wookey@wookware.org>

Date: Thu, 15 Nov 2012 13:39:01 UTC

Severity: normal

Tags: patch

Found in version less/456-1

Fixed in version less/458-1

Done: Anibal Monsalve Salazar <anibal@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#693318; Package less. (Thu, 15 Nov 2012 13:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
New Bug report received and forwarded. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. (Thu, 15 Nov 2012 13:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Add Multi-Arch metadata to less
Date: Thu, 15 Nov 2012 13:37:22 +0000
[Message part 1 (text/plain, inline)]
Package: less
Version: 456-1
Severity: normal
Tags: patch
User: multiarch-devel@lists.alioth.debian.org
Usertags: multiarch

e are working on getting multiarch metadata correct throught the
archive. This package needs to be marked 'Multi-Arch: foreign' for
dependencies and build-depencies to work correctly in all cases.

Any package 'X' build-depending on less cannot be cross-built
because apt-get build-dep -a<arch> cannot satisfy X's
build-dependencies until

Multi-Arch: foreign

is added to less's control file, to indicate that less from
any available arch will satisfy the dependency. 

63 packages in debian cannot be cross-built until this patch is applied.

-- System Information:
Debian Release: 6.0.6
  APT prefers stable
  APT policy: (990, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32.33-kvm-i386-20111128-dirty (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
[less-456-1multiarch.diff (text/x-diff, attachment)]

Reply sent to Anibal Monsalve Salazar <anibal@debian.org>:
You have taken responsibility. (Sat, 11 May 2013 03:21:16 GMT) Full text and rfc822 format available.

Notification sent to Wookey <wookey@wookware.org>:
Bug acknowledged by developer. (Sat, 11 May 2013 03:21:16 GMT) Full text and rfc822 format available.

Message #10 received at 693318-close@bugs.debian.org (full text, mbox):

From: Anibal Monsalve Salazar <anibal@debian.org>
To: 693318-close@bugs.debian.org
Subject: Bug#693318: fixed in less 458-1
Date: Sat, 11 May 2013 03:18:00 +0000
Source: less
Source-Version: 458-1

We believe that the bug you reported is fixed in the latest version of
less, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 693318@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Anibal Monsalve Salazar <anibal@debian.org> (supplier of updated less package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 11 May 2013 11:50:06 +1000
Source: less
Binary: less
Architecture: source amd64
Version: 458-1
Distribution: unstable
Urgency: low
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Changed-By: Anibal Monsalve Salazar <anibal@debian.org>
Description: 
 less       - pager program similar to more
Closes: 691981 691991 693318 695361
Changes: 
 less (458-1) unstable; urgency=low
 .
   [ Anibal Monsalve Salazar ]
   * New upstream
     Major differences between version 451 and version 458:
     - Allow backslash escaping of metacharacters in LESS environment variable if
       the --use-backslash option is set.
     - Don't quit if syntax errors are found in command line options.
     - Increase sizes of some internal buffers.
     - Fix configure bug with --with-regex=none.
     - Fix crash with "stty rows 0".
     - Fix display bug when using up/down arrow on the command line.
     Major differences between version 451 and version 457:
     - Allow backslash escaping of metacharacters in LESS environment variable if
       the --use-backslash option is set.
     - Don't quit if syntax errors are found in command line options.
     - Increase sizes of some internal buffers.
     - Fix configure bug with --with-regex=none.
     - Fix crash with "stty rows 0".
     Revert backslash handling in option string
     Closes: #695361
   * lesspipe: handle *.txz files
     Patch by Tim Marston
     Closes: #691981, #691991
 .
   [ Wookey ]
   * Add Multi-Arch:foreign meta-data to allow cross-dependencies
     Closes: #693318
Checksums-Sha1: 
 a14f0189b1d08c272cfe96cfeb50939175597462 1716 less_458-1.dsc
 1b541a11c5fe159c248953bf03910dd522142ae0 250816 less_458.orig.tar.bz2
 fac3ac6ba3d86e0661a3dddcd4f4fef9af9cce2b 18451 less_458-1.debian.tar.bz2
 12fc3fd4d2db05b785ea156a7704969616d14337 133156 less_458-1_amd64.deb
Checksums-Sha256: 
 510cd44911e3ede6c249abb28455667b47ddf5b111417409303b8dd010716cbd 1716 less_458-1.dsc
 5f6ec8e8074205f0285032a2de358488cbf5a38d5a6bb3390af9c3ff0eac85f6 250816 less_458.orig.tar.bz2
 9dd476e904ec0e7f318a74129c6c66bfa206f240a387c370f4d4d4c61e22f5f6 18451 less_458-1.debian.tar.bz2
 01f391be3f85c7f8c98e10079d004dbd14c43e54673bb27b243c55e2512f9465 133156 less_458-1_amd64.deb
Files: 
 5603bfc74ceb36c895d6761937d67fac 1716 text standard less_458-1.dsc
 357fd2bb7fbe1f3b1175d4ec80795d31 250816 text standard less_458.orig.tar.bz2
 7d97b5eb96a1ff753caac382870bb7fc 18451 text standard less_458-1.debian.tar.bz2
 fc6ece3e02900ee630601bb90a913aa5 133156 text standard less_458-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRja5pAAoJEHxWrP6UeJfY7WoP/iOqZDlvu8q4679w0IUqICBf
OP48/3gLgbnGyGXrBt/ZJOg7rjPbwVaS13yjFzBWiRDvkcIyVfV1S4HDw7AJAJFM
Mq3ChGWTYe3y/g1IUb5T9P1nd8tLUfhr6gzUZkYG5q+2UxqbcGZcBLsO9AKhRNpx
7h3tlb6hKZbO7+lD1JUA/Fkm1S3aSKgBF/SH7LWMpQSkFLe6BLwMGDqFyJENUiQ5
Z98fN4v14DFsHS7Uugndb4/N3WIWqW/epCi78lQgqrCS03cdOIb+dKE0EDhdAvaF
Zz1Ez4zZG/TTLyVyRyFG88YIh7KAWBTQu25I2wNyym4h3Qtd94RtVUehJ+2MYXoz
azUDVgwI+J8BXaEwpRLvdDEbpp3hcnD1HprLCU0WP6nS57XQ1yc7XGtAnvBREKac
qZxfwjx74Y4gbNMFM21SvQAUVGGVW5GxXN0Ts2dQLEqweHgnK2pGRAdjFPUeqWOZ
ysgzc56tSMNMle10MPuSlRd7ASJW3y0CViKFjZLf7gr/a2gwAjpQxaBDvGfj7sDR
4ZbIqeZ3BRRSZzImqsfRktGTvrJobgcB/Vlteok5p79jRMflBTAUpfbGhzACvaA0
7WyAnARNazA4+fBpBDgVPvWaFGYTljiHzfkT4mrlg+PkrrctPB0AEJNoXcoV1h7z
tvcppcFhiwHFgQ5pWPyd
=EDmw
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 18 Jun 2013 07:27:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:13:13 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.